Bug 173297 - [JSC] Create JSSet constructor that accepts it's size as parameter
Summary: [JSC] Create JSSet constructor that accepts it's size as parameter
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Caio Lima
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-06-12 19:14 PDT by Caio Lima
Modified: 2017-08-09 17:43 PDT (History)
7 users (show)

See Also:


Attachments
Patch (3.87 KB, patch)
2017-08-07 21:10 PDT, Caio Lima
sbarati: review+
Details | Formatted Diff | Diff
Patch for landing (3.59 KB, patch)
2017-08-08 17:00 PDT, Caio Lima
no flags Details | Formatted Diff | Diff
Patch for landing (3.72 KB, patch)
2017-08-08 20:27 PDT, Caio Lima
no flags Details | Formatted Diff | Diff
Patch for landing (3.61 KB, patch)
2017-08-09 08:03 PDT, Caio Lima
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Caio Lima 2017-06-12 19:14:45 PDT
...
Comment 1 Caio Lima 2017-08-07 21:10:05 PDT
Created attachment 317538 [details]
Patch
Comment 2 Saam Barati 2017-08-07 21:35:03 PDT
Comment on attachment 317538 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=317538&action=review

r=me

> Source/JavaScriptCore/runtime/HashMapImpl.h:303
> +    HashMapImpl(VM& vm, Structure* structure, uint32_t size)

Nit: Lets call this "expectedSize" or "sizeHint" to give a better intention of what it is.
Comment 3 Saam Barati 2017-08-07 21:36:38 PDT
Comment on attachment 317538 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=317538&action=review

> Source/JavaScriptCore/ChangeLog:9
> +        This patch is adding a new constructor to JSSet that defines its
> +        initial size. It is important to avoid re-hashing and mutiple

Nit: It doesn't define its initial size. It gives an expected initial size.
Comment 4 Mark Lam 2017-08-08 12:17:06 PDT
Comment on attachment 317538 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=317538&action=review

> Source/JavaScriptCore/ChangeLog:3
> +        [JSC] Crate JSSet constructor that accepts it's size as parameter

typo: /Crate/Create/.
Comment 5 Caio Lima 2017-08-08 17:00:11 PDT
Created attachment 317651 [details]
Patch for landing
Comment 6 Caio Lima 2017-08-08 20:27:19 PDT
Created attachment 317669 [details]
Patch for landing

Rebasing with master
Comment 7 Caio Lima 2017-08-09 08:03:35 PDT
Created attachment 317700 [details]
Patch for landing

Fixing ChangeLog
Comment 8 WebKit Commit Bot 2017-08-09 17:42:27 PDT
Comment on attachment 317700 [details]
Patch for landing

Clearing flags on attachment: 317700

Committed r220500: <http://trac.webkit.org/changeset/220500>
Comment 9 WebKit Commit Bot 2017-08-09 17:42:29 PDT
All reviewed patches have been landed.  Closing bug.
Comment 10 Radar WebKit Bug Importer 2017-08-09 17:43:21 PDT
<rdar://problem/33816652>